//+------------------------------------------------------------------+
//|                                            FLI_SR_FIB_Middle.mq4 |
//|                   Copyright  2009, Francesco Marasco aka flinux |
//|                                       E-Mail: fmarasco@gmail.com |
//|                                                                  |
//|   Gifts or Donations also keep me motivated in producing more    |
//|   great free indicators.                                         |
//|                                                                  |
//|   PayPal - fmarasco@gmail.com                                    |  
//+------------------------------------------------------------------+

#property copyright "Francesco Marasco"
#property link      "http://mt4forex.blogspot.com"

#property indicator_chart_window
#property indicator_buffers 5
#property indicator_color1 Green
#property indicator_color2 FireBrick
#property indicator_color3 Gold
#property indicator_color4 Gold
#property indicator_color5 Gold

extern int       HLPeriod    = 20;
extern bool      Show.Label  = true;

double BufL[];
double BufH[];
double BufZ[];

double BufHZ[];
double BufLZ[];

double digits, point;
int period;
string Tag = "FLI";

int init()
{
   IndicatorBuffers(5);
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,BufH); 
   SetIndexStyle(1,DRAW_LINE); 
   SetIndexBuffer(1,BufL);
   SetIndexStyle(2,DRAW_LINE); 
   SetIndexBuffer(2,BufZ); 
   SetIndexStyle(3,DRAW_LINE); 
   SetIndexBuffer(3,BufHZ); 
   SetIndexStyle(4,DRAW_LINE); 
   SetIndexBuffer(4,BufLZ); 
   return(0);
}

int deinit()
{
}

int start()
{
   int counted_bars=IndicatorCounted();
   int i, limit;
   
   limit = Bars - counted_bars;
   
   for (i = 0; i < limit; i++)
   {

      BufH[i] = High[iHighest(NULL,0,MODE_HIGH,HLPeriod,i)];
      BufL[i] = Low[iLowest(NULL,0,MODE_LOW,HLPeriod,i)];
      BufZ[i] = (BufH[i]+BufL[i])/2;
      BufHZ[i] = BufL[i]+((BufH[i]-BufL[i])/1.61812);
      BufLZ[i] = BufL[i]+((BufH[i]-BufL[i])/2.61780);
   }

   return(0);
}

